%define upstream_name    PDF-API2
%define upstream_version 2.019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PDF-API2 Perl module
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Font::TTF)
BuildArch:  noarch

Requires:   fonts-ttf-dejavu
%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find contrib -type f | xargs \
    perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Win32.pm
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm
rm -rf %{buildroot}%{perl_vendorlib}/PDF/API2/fonts

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 contrib/* %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CONTACT Changes HACKING LICENSE META.yml PATENTS README examples
%{perl_vendorlib}/PDF
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.19.0-2.mga3
+ Revision: 371193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 jquelin <jquelin> 2.19.0-1.mga1
+ Revision: 70505
- update to 2.019

* Sat Feb 26 2011 jquelin <jquelin> 2.18.0-1.mga1
+ Revision: 60384
- update to 2.018

* Wed Feb 16 2011 jquelin <jquelin> 2.16.0-1.mga1
+ Revision: 52676
- update to 2.016

* Sun Jan 23 2011 jquelin <jquelin> 0.730.0-3.mga1
+ Revision: 34066
- mageia rebuild
- imported package perl-PDF-API2

